## ----cache.comments=TRUE,message=FALSE,warning=FALSE---------------------
library(igraph)
setwd("/Users/claudegrasland1/Documents/cg/cours/ASPS2016/NETWORK/sampson")

## ----cache.comments=TRUE,message=FALSE,warning=FALSE---------------------
setwd("/Users/claudegrasland1/Documents/cg/cours/ASPS2016/NETWORK/sampson")
code<-read.table("sampcode.csv",sep=";", header=TRUE, stringsAsFactors = F)
code$color="red"
code$color[code$statut2=="OL"]<-"blue"
code$color[code$statut2=="IN"]<-"green"
code$color[code$statut2=="EX"]<-"yellow"
code

## ----cache.comments=TRUE,message=FALSE,warning=FALSE---------------------
link<-read.table("sampes.csv",sep=";", header=TRUE, stringsAsFactors = F)
mat<-as.matrix(link[,-1])
rownames(mat)<-link[,1]
colnames(mat)<-link[,1]
mat[1:5,]

## ----cache.comments=TRUE,message=FALSE,warning=FALSE---------------------
mat[mat>0]<-1
mat[1:5,]

## ----cache.comments=TRUE,message=FALSE,warning=FALSE---------------------
net<-graph_from_adjacency_matrix(mat,mode=c("directed"),diag=FALSE)
par(mfrow=c(1,1))
plot(net,  vertex.color=code$color,
           vertex.label.dist=0.4,
           vertex.label.cex=1,
           edge.arrow.size=0.4,
           vertex.size=5,
           vertex.label=code$nom)

## ----cache.comments=TRUE,message=FALSE,warning=FALSE---------------------
tabres<-code[,c(2,3)]
tabres$POPULARITE<-degree(net,mode="in")
tabres$INTERMEDIARITE<-betweenness(net)
tabres[order(tabres$INTERMEDIARITE,decreasing=T),]

## ----cache.comments=TRUE,message=FALSE,warning=FALSE---------------------
par(mfrow=c(1,2))
# create maximum symetric network
netmax<-graph_from_adjacency_matrix(mat,mode=c("max"),diag=FALSE)
plot(netmax,  vertex.color=code$color,
     vertex.label.dist=0.7,
     vertex.label.cex=0.6,
     vertex.label=code$nom,
     main="Réseau maximal")

# create minimum symetric network
netmin<-graph_from_adjacency_matrix(mat,mode=c("min"),diag=FALSE)
plot(netmin,  vertex.color=code$color,
     vertex.label.dist=0.7,
     vertex.label.cex=0.6,
     vertex.label=code$nom,
     main="Réseau minimal")

## ------------------------------------------------------------------------
library(knitr)
list.files()
purl("network_sampson.Rmd")

